VisualEditor: Show percentage of progress in loading animation
Closed, ResolvedPublic

Description

DKqwerty at en.wp reports: "Article Futurama took 58 seconds to load into VE, with the loading bar running the entire time. I think this is unacceptable as it is probably off-putting to inexperienced users. Further, the bar just fills, empties, fills, empties, etc. rapidly and continuously until the page is loaded... Would it be possible to make this bar actually indicate what percentage has been loaded so editors have at least a hint that something is being processed?"
Thanks.


Version: unspecified
Severity: enhancement

bzimport set Reference to bz54225.
Elitre created this task.Via LegacySep 17 2013, 1:54 PM
Jdforrester-WMF added a comment.Via ConduitNov 13 2014, 12:25 PM

Not sure how we'd judge progress on this one, but it'd be useful for users…

Jdforrester-WMF moved this task to Backlog on the VisualEditor workboard.Via WebNov 24 2014, 1:24 AM
ori closed this task as "Resolved".Via WebWed, Apr 1, 1:16 AM
ori claimed this task.
ori added a subscriber: ori.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.